Bug 836913 - Assertion `c->entries[i].ref == 0' failed, also random segfaults, when qemu calls bdrv_close_all
Assertion `c->entries[i].ref == 0' failed, also random segfaults, when qemu c...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
: Reopened
: 837021 (view as bug list)
Depends On:
Blocks: 837943
  Show dependency treegraph
 
Reported: 2012-07-02 03:19 EDT by Richard W.M. Jones
Modified: 2013-04-02 09:56 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 837943 (view as bug list)
Environment:
Last Closed: 2013-04-02 09:56:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-07-02 03:19:55 EDT
Description of problem:

Sorry I don't have much to go on, but qemu-kvm just crashed for
me in regular usage in a very strange way.

*** glibc detected *** /usr/bin/qemu-kvm: corrupted double-linked list: 0x00007f9a85a16a30 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x30e127d6ad)[0x7f9a7d0c16ad]
/lib64/libc.so.6(+0x30e127e078)[0x7f9a7d0c2078]
/usr/bin/qemu-kvm(+0x98a95)[0x7f9a82945a95]
/usr/bin/qemu-kvm(+0x9e2ba)[0x7f9a8294b2ba]
/usr/bin/qemu-kvm(+0x8d568)[0x7f9a8293a568]
/usr/bin/qemu-kvm(+0x8d630)[0x7f9a8293a630]
/usr/bin/qemu-kvm(main+0x1429)[0x7f9a829229b9]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7f9a7d065ba5]
/usr/bin/qemu-kvm(+0x79299)[0x7f9a82926299]
======= Memory map: ========
7f9a24000000-7f9a24021000 rw-p 00000000 00:00 0 
7f9a24021000-7f9a28000000 ---p 00000000 00:00 0 
7f9a2c000000-7f9a2c021000 rw-p 00000000 00:00 0 
7f9a2c021000-7f9a30000000 ---p 00000000 00:00 0 
7f9a30000000-7f9a30021000 rw-p 00000000 00:00 0 
7f9a30021000-7f9a34000000 ---p 00000000 00:00 0 
7f9a377ff000-7f9a37800000 ---p 00000000 00:00 0 
7f9a37800000-7f9a38000000 rw-p 00000000 00:00 0 
7f9a38000000-7f9a38021000 rw-p 00000000 00:00 0 
7f9a38021000-7f9a3c000000 ---p 00000000 00:00 0 
7f9a3c000000-7f9a3c021000 rw-p 00000000 00:00 0 
7f9a3c021000-7f9a40000000 ---p 00000000 00:00 0 
7f9a40000000-7f9a40021000 rw-p 00000000 00:00 0 
7f9a40021000-7f9a44000000 ---p 00000000 00:00 0 
7f9a441f6000-7f9a441f7000 ---p 00000000 00:00 0 
7f9a441f7000-7f9a449f7000 rw-p 00000000 00:00 0 
7f9a449f7000-7f9a449f8000 ---p 00000000 00:00 0 
7f9a449f8000-7f9a451f8000 rw-p 00000000 00:00 0 
7f9a451f8000-7f9a451f9000 ---p 00000000 00:00 0 
7f9a451f9000-7f9a459f9000 rw-p 00000000 00:00 0 
7f9a459f9000-7f9a459fa000 ---p 00000000 00:00 0 
7f9a459fa000-7f9a461fa000 rw-p 00000000 00:00 0 
7f9a461fa000-7f9a461fb000 ---p 00000000 00:00 0 
7f9a461fb000-7f9a469fb000 rw-p 00000000 00:00 0 
7f9a469fb000-7f9a469fc000 ---p 00000000 00:00 0 
7f9a469fc000-7f9a471fc000 rw-p 00000000 00:00 0 
7f9a471fc000-7f9a471fd000 ---p 00000000 00:00 0 
7f9a471fd000-7f9a479fd000 rw-p 00000000 00:00 0 
7f9a479fd000-7f9a479fe000 ---p 00000000 00:00 0 
7f9a479fe000-7f9a481fe000 rw-p 00000000 00:00 0 
7f9a481fe000-7f9a481ff000 ---p 00000000 00:00 0 
7f9a481ff000-7f9a48a00000 rw-p 00000000 00:00 0 
7f9a48a00000-7f9a67e00000 rw-p 00000000 00:00 0 
7f9a67e00000-7f9a68000000 rw-p 00000000 00:00 0 
7f9a68000000-7f9a6b389000 rw-p 00000000 00:00 0 
7f9a6b389000-7f9a6c000000 ---p 00000000 00:00 0 
7f9a6c000000-7f9a6c021000 rw-p 00000000 00:00 0 
7f9a6c021000-7f9a70000000 ---p 00000000 00:00 0 
7f9a70000000-7f9a70021000 rw-p 00000000 00:00 0 
7f9a70021000-7f9a74000000 ---p 00000000 00:00 0 
7f9a745bb000-7f9a745bc000 ---p 00000000 00:00 0 
7f9a745bc000-7f9a7529f000 rw-p 00000000 00:00 0 
7f9a7529f000-7f9a752a0000 ---p 00000000 00:00 0 
7f9a752a0000-7f9a75ca1000 rw-p 00000000 00:00 0 
7f9a75ca1000-7f9a75ca2000 ---p 00000000 00:00 0 
7f9a75ca2000-7f9a764a2000 rw-p 00000000 00:00 0 
7f9a764a2000-7f9a764c0000 r-xp 00000000 fd:01 159275                     /usr/lib64/libselinux.so.1
7f9a764c0000-7f9a766bf000 ---p 0001e000 fd:01 159275                     /usr/lib64/libselinux.so.1
7f9a766bf000-7f9a766c0000 r--p 0001d000 fd:01 159275                     /usr/lib64/libselinux.so.1
7f9a766c0000-7f9a766c1000 rw-p 0001e000 fd:01 159275                     /usr/lib64/libselinux.so.1
7f9a766c1000-7f9a766c3000 rw-p 00000000 00:00 0 
7f9a766c3000-7f9a76720000 r-xp 00000000 fd:01 144042                     /usr/lib64/libfreebl3.so
7f9a76720000-7f9a76920000 ---p 0005d000 fd:01 144042                     /usr/lib64/libfreebl3.so
7f9a76920000-7f9a76921000 r--p 0005d000 fd:01 144042                     /usr/lib64/libfreebl3.so
7f9a76921000-7f9a76922000 rw-p 0005e000 fd:01 144042                     /usr/lib64/libfreebl3.so
7f9a76922000-7f9a76926000 rw-p 00000000 00:00 0 
7f9a76926000-7f9a7692c000 r-xp 00000000 fd:01 170528                     /usr/lib64/libogg.so.0.8.0
7f9a7692c000-7f9a76b2b000 ---p 00006000 fd:01 170528                     /usr/lib64/libogg.so.0.8.0
7f9a76b2b000-7f9a76b2c000 r--p 00005000 fd:01 170528                     /usr/lib64/libogg.so.0.8.0
7f9a76b2c000-7f9a76b2d000 rw-p 00006000 fd:01 170528                     /usr/lib64/libogg.so.0.8.0
7f9a76b2d000-7f9a76b59000 r-xp 00000000 fd:01 170531                     /usr/lib64/libvorbis.so.0.4.6
7f9a76b59000-7f9a76d58000 ---p 0002c000 fd:01 170531                     /usr/lib64/libvorbis.so.0.4.6
7f9a76d58000-7f9a76d59000 r--p 0002b000 fd:01 170531                     /usr/lib64/libvorbis.so.0.4.6
7f9a76d59000-7f9a76d5a000 rw-p 0002c000 fd:01 170531                     /usr/lib64/libvorbis.so.0.4.6
7f9a76d5a000-7f9a7700d000 r-xp 00000000 fd:01 140208                     /usr/lib64/libvorbisenc.so.2.0.9
7f9a7700d000-7f9a7720c000 ---p 002b3000 fd:01 140208                     /usr/lib64/libvorbisenc.so.2.0.9
7f9a7720c000-7f9a77228000 r--p 002b2000 fd:01 140208                     /usr/lib64/libvorbisenc.so.2.0.9
7f9a77228000-7f9a77229000 rw-p 002ce000 fd:01 140208                     /usr/lib64/libvorbisenc.so.2.0.9
7f9a77229000-7f9a77262000 r-xp 00000000 fd:01 175516                     /usr/lib64/libFLAC.so.8.2.0
7f9a77262000-7f9a77461000 ---p 00039000 fd:01 175516                     /usr/lib64/libFLAC.so.8.2.0
7f9a77461000-7f9a77462000 r--p 00038000 fd:01 175516                     /usr/lib64/libFLAC.so.8.2.0
7f9a77462000-7f9a77463000 rw-p 00039000 fd:01 175516                     /usr/lib64/libFLAC.so.8.2.0
7f9a77463000-7f9a7746e000 r-xp 00000000 fd:01 175515                     /usr/lib64/libgsm.so.1.0.12
7f9a7746e000-7f9a7766d000 ---p 0000b000 fd:01 175515                     /usr/lib64/libgsm.so.1.0.12
7f9a7766d000-7f9a7766e000 rw-p 0000a000 fd:01 175515                     /usr/lib64/libgsm.so.1.0.12
7f9a7766e000-7f9a77685000 r-xp 00000000 fd:01 162518                     /usr/lib64/libnsl-2.15.90.so
7f9a77685000-7f9a77884000 ---p 00017000 fd:01 162518                     /usr/lib64/libnsl-2.15.90.so
7f9a77884000-7f9a77885000 r--p 00016000 fd:01 162518                     /usr/lib64/libnsl-2.15.90.so
7f9a77885000-7f9a77886000 rw-p 00017000 fd:01 162518                     /usr/lib64/libnsl-2.15.90.so
7f9a77886000-7f9a77888000 rw-p 00000000 00:00 0 
7f9a77888000-7f9a77896000 r-xp 00000000 fd:01 159280                     /usr/lib64/libXi.so.6.1.0
7f9a77896000-7f9a77a95000 ---p 0000e000 fd:01 159280                     /usr/lib64/libXi.so.6.1.0
7f9a77a95000-7f9a77a96000 r--p 0000d000 fd:01 159280                     /usr/lib64/libXi.so.6.1.0
7f9a77a96000-7f9a77a97000 rw-p 0000e000 fd:01 159280                     /usr/lib64/libXi.so.6.1.0
7f9a77a97000-7f9a77aa7000 r-xp 00000000 fd:01 159278                     /usr/lib64/libXext.so.6.4.0
7f9a77aa7000-7f9a77ca7000 ---p 00010000 fd:01 159278                     /usr/lib64/libXext.so.6.4.0
7f9a77ca7000-7f9a77ca8000 r--p 00010000 fd:01 159278                     /usr/lib64/libXext.so.6.4.0
7f9a77ca8000-7f9a77ca9000 rw-p 00011000 fd:01 159278                     /usr/lib64/libXext.so.6.4.0
7f9a77ca9000-7f9a77cab000 r-xp 00000000 fd:01 159264                     /usr/lib64/libXau.so.6.0.0
7f9a77cab000-7f9a77eab000 ---p 00002000 fd:01 159264                     /usr/lib64/libXau.so.6.0.0
7f9a77eab000-7f9a77eac000 r--p 00002000 fd:01 159264                     /usr/lib64/libXau.so.6.0.0
7f9a77eac000-7f9a77ead000 rw-p 00003000 fd:01 159264                     /usr/lib64/libXau.so.6.0.0
7f9a77ead000-7f9a77eb0000 r-xp 00000000 fd:01 162125                     /usr/lib64/libkeyutils.so.1.4
7f9a77eb0000-7f9a780af000 ---p 00003000 fd:01 162125                     /usr/lib64/libkeyutils.so.1.4
7f9a780af000-7f9a780b0000 rw-p 00002000 fd:01 162125                     /usr/lib64/libkeyutils.so.1.4
7f9a780b0000-7f9a780ba000 r-xp 00000000 fd:01 162126                     /usr/lib64/libkrb5support.so.0.1
7f9a780ba000-7f9a782b9000 ---p 0000a000 fd:01 162126                     /usr/lib64/libkrb5support.so.0.1
7f9a782b9000-7f9a782ba000 r--p 00009000 fd:01 162126                     /usr/lib64/libkrb5support.so.0.1
7f9a782ba000-7f9a782bb000 rw-p 0000a000 fd:01 162126                     /usr/lib64/libkrb5support.so.0.1
7f9a782bb000-7f9a78456000 r-xp 00000000 fd:01 166039                     /usr/lib64/libcrypto.so.1.0.1c
7f9a78456000-7f9a78655000 ---p 0019b000 fd:01 166039                     /usr/lib64/libcrypto.so.1.0.1c
7f9a78655000-7f9a7866f000 r--p 0019a000 fd:01 166039                     /usr/lib64/libcrypto.so.1.0.1c
7f9a7866f000-7f9a7867a000 rw-p 001b4000 fd:01 166039                     /usr/lib64/libcrypto.so.1.0.1c
7f9a7867a000-7f9a7867f000 rw-p 00000000 00:00 0 
7f9a7867f000-7f9a786da000 r-xp 00000000 fd:01 166575                     /usr/lib64/libssl.so.1.0.1c
7f9a786da000-7f9a788d9000 ---p 0005b000 fd:01 166575                     /usr/lib64/libssl.so.1.0.1c
7f9a788d9000-7f9a788dd000 r--p 0005a000 fd:01 166575                     /usr/lib64/libssl.so.1.0.1c
7f9a788dd000-7f9a788e3000 rw-p 0005e000 fd:01 166575                     /usr/lib64/libssl.so.1.0.1c
7f9a788e3000-7f9a78963000 r-xp 00000000 fd:01 159258                     /usr/lib64/libpixman-1.so.0.24.4
7f9a78963000-7f9a78b62000 ---p 00080000 fd:01 159258                     /usr/lib64/libpixman-1.so.0.24.4
7f9a78b62000-7f9a78b68000 r--p 0007f000 fd:01 159258                     /usr/lib64/libpixman-1.so.0.24.4
7f9a78b68000-7f9a78b69000 rw-p 00085000 fd:01 159258                     /usr/lib64/libpixman-1.so.0.24.4
7f9a78b69000-7f9a78b77000 r-xp 00000000 fd:01 175524                     /usr/lib64/libcelt051.so.0.0.0
7f9a78b77000-7f9a78d76000 ---p 0000e000 fd:01 175524                     /usr/lib64/libcelt051.so.0.0.0
7f9a78d76000-7f9a78d77000 r--p 0000d000 fd:01 175524                     /usr/lib64/libcelt051.so.0.0.0
7f9a78d77000-7f9a78d78000 rw-p 0000e000 fd:01 175524                     /usr/lib64/libcelt051.so.0.0.0
7f9a78d78000-7f9a78d89000 r-xp 00000000 fd:01 165847                     /usr/lib64/libp11-kit.so.0.0.0
7f9a78d89000-7f9a78f88000 ---p 00011000 fd:01 165847                     /usr/lib64/libp11-kit.so.0.0.0
7f9a78f88000-7f9a78f89000 r--p 00010000 fd:01 165847                     /usr/lib64/libp11-kit.so.0.0.0
7f9a78f89000-7f9a78f8a000 rw-p 00011000 fd:01 165847                     /usr/lib64/libp11-kit.so.0.0.0
7f9a78f8a000-7f9a78f8d000 r-xp 00000000 fd:01 165640                     /usr/lib64/libgpg-error.so.0.8.0
7f9a78f8d000-7f9a7918c000 ---p 00003000 fd:01 165640                     /usr/lib64/libgpg-error.so.0.8.0
7f9a7918c000-7f9a7918d000 r--p 00002000 fd:01 165640                     /usr/lib64/libgpg-error.so.0.8.0
7f9a7918d000-7f9a7918e000 rw-p 00003000 fd:01 165640                     /usr/lib64/libgpg-error.so.0.8.0
7f9a7918e000-7f9a79203000 r-xp 00000000 fd:01 165798                     /usr/lib64/libgcrypt.so.11.7.0
7f9a79203000-7f9a79402000 ---p 00075000 fd:01 165798                     /usr/lib64/libgcrypt.so.11.7.0
7f9a79402000-7f9a79403000 r--p 00074000 fd:01 165798                     /usr/lib64/libgcrypt.so.11.7.0
7f9a79403000-7f9a79406000 rw-p 00075000 fd:01 165798                     /usr/lib64/libgcrypt.so.11.7.0
7f9a79406000-7f9a79415000 r-xp 00000000 fd:01 165639                     /usr/lib64/libtasn1.so.3.1.15
7f9a79415000-7f9a79615000 ---p 0000f000 fd:01 165639                     /usr/lib64/libtasn1.so.3.1.15
7f9a79615000-7f9a79616000 r--p 0000f000 fd:01 165639                     /usr/lib64/libtasn1.so.3.1.15
7f9a79616000-7f9a79617000 rw-p 00010000 fd:01 165639                     /usr/lib64/libtasn1.so.3.1.15
7f9a79617000-7f9a7961f000 r-xp 00000000 fd:01 162116                     /usr/lib64/libcrypt-2.15.90.so
7f9a7961f000-7f9a7981e000 ---p 00008000 fd:01 162116                     /usr/lib64/libcrypt-2.15.90.so
7f9a7981e000-7f9a7981f000 r--p 00007000 fd:01 162116                     /usr/lib64/libcrypt-2.15.90.so
7f9a7981f000-7f9a79820000 rw-p 00008000 fd:01 162116                     /usr/lib64/libcrypt-2.15.90.so
7f9a79820000-7f9a7984e000 rw-p 00000000 00:00 0 
7f9a7984e000-7f9a79864000 r-xp 00000000 fd:01 159276                     /usr/lib64/libresolv-2.15.90.so
7f9a79864000-7f9a79a64000 ---p 00016000 fd:01 159276                     /usr/lib64/libresolv-2.15.90.so
7f9a79a64000-7f9a79a65000 r--p 00016000 fd:01 159276                     /usr/lib64/libresolv-2.15.90.so
7f9a79a65000-7f9a79a66000 rw-p 00017000 fd:01 159276                     /usr/lib64/libresolv-2.15.90.so
7f9a79a66000-7f9a79a68000 rw-p 00000000 00:00 0 
7f9a79a68000-7f9a79aac000 r-xp 00000000 fd:01 165455                     /usr/lib64/libdbus-1.so.3.7.1
7f9a79aac000-7f9a79cab000 ---p 00044000 fd:01 165455                     /usr/lib64/libdbus-1.so.3.7.1
7f9a79cab000-7f9a79cac000 r--p 00043000 fd:01 165455                     /usr/lib64/libdbus-1.so.3.7.1
7f9a79cac000-7f9a79cad000 rw-p 00044000 fd:01 165455                     /usr/lib64/libdbus-1.so.3.7.1
7f9a79cad000-7f9a79cb2000 r-xp 00000000 fd:01 175517                     /usr/lib64/libasyncns.so.0.3.1
7f9a79cb2000-7f9a79eb1000 ---p 00005000 fd:01 175517                     /usr/lib64/libasyncns.so.0.3.1
7f9a79eb1000-7f9a79eb2000 r--p 00004000 fd:01 175517                     /usr/lib64/libasyncns.so.0.3.1
7f9a79eb2000-7f9a79eb3000 rw-p 00005000 fd:01 175517                     /usr/lib64/libasyncns.so.0.3.1
7f9a79eb3000-7f9a79f08000 r-xp 00000000 fd:01 165799                     /usr/lib64/libsndfile.so.1.0.25
7f9a79f08000-7f9a7a108000 ---p 00055000 fd:01 165799                     /usr/lib64/libsndfile.so.1.0.25
7f9a7a108000-7f9a7a10a000 r--p 00055000 fd:01 165799                     /usr/lib64/libsndfile.so.1.0.25
7f9a7a10a000-7f9a7a10b000 rw-p 00057000 fd:01 165799                     /usr/lib64/libsndfile.so.1.0.25
7f9a7a10b000-7f9a7a10f000 rw-p 00000000 00:00 0 
7f9a7a10f000-7f9a7a118000 r-xp 00000000 fd:01 175514                     /usr/lib64/libwrap.so.0.7.6
7f9a7a118000-7f9a7a317000 ---p 00009000 fd:01 175514                     /usr/lib64/libwrap.so.0.7.6
7f9a7a317000-7f9a7a318000 r--p 00008000 fd:01 175514                     /usr/lib64/libwrap.so.0.7.6
7f9a7a318000-7f9a7a319000 rw-p 00009000 fd:01 175514                     /usr/lib64/libwrap.so.0.7.6
7f9a7a319000-7f9a7a31a000 rw-p 00000000 00:00 0 
7f9a7a31a000-7f9a7a31f000 r-xp 00000000 fd:01 170606                     /usr/lib64/libXtst.so.6.1.0
7f9a7a31f000-7f9a7a51e000 ---p 00005000 fd:01 170606                     /usr/lib64/libXtst.so.6.1.0
7f9a7a51e000-7f9a7a51f000 r--p 00004000 fd:01 170606                     /usr/lib64/libXtst.so.6.1.0
7f9a7a51f000-7f9a7a520000 rw-p 00005000 fd:01 170606                     /usr/lib64/libXtst.so.6.1.0
7f9a7a520000-7f9a7a527000 r-xp 00000000 fd:01 163033                     /usr/lib64/libSM.so.6.0.1
7f9a7a527000-7f9a7a726000 ---p 00007000 fd:01 163033                     /usr/lib64/libSM.so.6.0.1
7f9a7a726000-7f9a7a727000 r--p 00006000 fd:01 163033                     /usr/lib64/libSM.so.6.0.1
7f9a7a727000-7f9a7a728000 rw-p 00007000 fd:01 163033                     /usr/lib64/libSM.so.6.0.1
7f9a7a728000-7f9a7a73f000 r-xp 00000000 fd:01 163031                     /usr/lib64/libICE.so.6.3.0
7f9a7a73f000-7f9a7a93e000 ---p 00017000 fd:01 163031                     /usr/lib64/libICE.so.6.3.0
7f9a7a93e000-7f9a7a93f000 r--p 00016000 fd:01 163031                     /usr/lib64/libICE.so.6.3.0
7f9a7a93f000-7f9a7a940000 rw-p 00017000 fd:01 163031                     /usr/lib64/libICE.so.6.3.0
7f9a7a940000-7f9a7a944000 rw-p 00000000 00:00 0 
7f9a7a944000-7f9a7a961000 r-xp 00000000 fd:01 159265                     /usr/lib64/libxcb.so.1.1.0
7f9a7a961000-7f9a7ab60000 ---p 0001d000 fd:01 159265                     /usr/lib64/libxcb.so.1.1.0
7f9a7ab60000-7f9a7ab61000 r--p 0001c000 fd:01 159265                     /usr/lib64/libxcb.so.1.1.0
7f9a7ab61000-7f9a7ab62000 rw-p 0001d000 fd:01 159265                     /usr/lib64/libxcb.so.1.1.0
7f9a7ab62000-7f9a7ab63000 r-xp 00000000 fd:01 160171                     /usr/lib64/libX11-xcb.so.1.0.0
7f9a7ab63000-7f9a7ad62000 ---p 00001000 fd:01 160171                     /usr/lib64/libX11-xcb.so.1.0.0
7f9a7ad62000-7f9a7ad63000 r--p 00000000 fd:01 160171                     /usr/lib64/libX11-xcb.so.1.0.0
7f9a7ad63000-7f9a7ad64000 rw-p 00001000 fd:01 160171                     /usr/lib64/libX11-xcb.so.1.0.0
7f9a7ad64000-7f9a7adc4000 r-xp 00000000 fd:01 175518                     /usr/lib64/libpulsecommon-1.1.so
7f9a7adc4000-7f9a7afc3000 ---p 00060000 fd:01 175518                     /usr/lib64/libpulsecommon-1.1.so
7f9a7afc3000-7f9a7afc4000 r--p 0005f000 fd:01 175518                     /usr/lib64/libpulsecommon-1.1.so
7f9a7afc4000-7f9a7afc6000 rw-p 00060000 fd:01 175518                     /usr/lib64/libpulsecommon-1.1.so
7f9a7afc6000-7f9a7afcd000 r-xp 00000000 fd:01 166032                     /usr/lib64/libjson.so.0.0.1
7f9a7afcd000-7f9a7b1cc000 ---p 00007000 fd:01 166032                     /usr/lib64/libjson.so.0.0.1
7f9a7b1cc000-7f9a7b1cd000 r--p 00006000 fd:01 166032                     /usr/lib64/libjson.so.0.0.1
7f9a7b1cd000-7f9a7b1ce000 rw-p 00007000 fd:01 166032                     /usr/lib64/libjson.so.0.0.1
7f9a7b1ce000-7f9a7b1f5000 r-xp 00000000 fd:01 166592                     /usr/lib64/libssh2.so.1.0.1
7f9a7b1f5000-7f9a7b3f5000 ---p 00027000 fd:01 166592                     /usr/lib64/libssh2.so.1.0.1
7f9a7b3f5000-7f9a7b3f6000 r--p 00027000 fd:01 166592                     /usr/lib64/libssh2.so.1.0.1
7f9a7b3f6000-7f9a7b3f7000 rw-p 00028000 fd:01 166592                     /usr/lib64/libssh2.so.1.0.1
7f9a7b3f7000-7f9a7b3fa000 r-xp 00000000 fd:01 162222                     /usr/lib64/libcom_err.so.2.1
7f9a7b3fa000-7f9a7b5f9000 ---p 00003000 fd:01 162222                     /usr/lib64/libcom_err.so.2.1
7f9a7b5f9000-7f9a7b5fa000 r--p 00002000 fd:01 162222                     /usr/lib64/libcom_err.so.2.1
7f9a7b5fa000-7f9a7b5fb000 rw-p 00003000 fd:01 162222                     /usr/lib64/libcom_err.so.2.1
7f9a7b5fb000-7f9a7b623000 r-xp 00000000 fd:01 162133                     /usr/lib64/libk5crypto.so.3.1
7f9a7b623000-7f9a7b823000 ---p 00028000 fd:01 162133                     /usr/lib64/libk5crypto.so.3.1
7f9a7b823000-7f9a7b824000 r--p 00028000 fd:01 162133                     /usr/lib64/libk5crypto.so.3.1
7f9a7b824000-7f9a7b825000 rw-p 00029000 fd:01 162133                     /usr/lib64/libk5crypto.so.3.1
7f9a7b825000-7f9a7b826000 rw-p 00000000 00:00 0 
7f9a7b826000-7f9a7b8ff000 r-xp 00000000 fd:01 162224                     /usr/lib64/libkrb5.so.3.3
7f9a7b8ff000-7f9a7bafe000 ---p 000d9000 fd:01 162224                     /usr/lib64/libkrb5.so.3.3
7f9a7bafe000-7f9a7bb08000 r--p 000d8000 fd:01 162224                     /usr/lib64/libkrb5.so.3.3
7f9a7bb08000-7f9a7bb0a000 rw-p 000e2000 fd:01 162224                     /usr/lib64/libkrb5.so.3.3
7f9a7bb0a000-7f9a7bb4b000 r-xp 00000000 fd:01 162504                     /usr/lib64/libgssapi_krb5.so.2.2
7f9a7bb4b000-7f9a7bd4b000 ---p 00041000 fd:01 162504                     /usr/lib64/libgssapi_krb5.so.2.2
7f9a7bd4b000-7f9a7bd4c000 r--p 00041000 fd:01 162504                     /usr/lib64/libgssapi_krb5.so.2.2
7f9a7bd4c000-7f9a7bd4e000 rw-p 00042000 fd:01 162504                     /usr/lib64/libgssapi_krb5.so.2.2
7f9a7bd4e000-7f9a7bd9a000 r-xp 00000000 fd:01 162719                     /usr/lib64/libldap-2.4.so.2.8.3
7f9a7bd9a000-7f9a7bf9a000 ---p 0004c000 fd:01 162719                     /usr/lib64/libldap-2.4.so.2.8.3
7f9a7bf9a000-7f9a7bf9b000 r--p 0004c000 fd:01 162719                     /usr/lib64/libldap-2.4.so.2.8.3
7f9a7bf9b000-7f9a7bf9d000 rw-p 0004d000 fd:01 162719                     /usr/lib64/libldap-2.4.so.2.8.3
7f9a7bf9d000-7f9a7bfab000 r-xp 00000000 fd:01 162606                     /usr/lib64/liblber-2.4.so.2.8.3
7f9a7bfab000-7f9a7c1aa000 ---p 0000e000 fd:01 162606                     /usr/lib64/liblber-2.4.so.2.8.3
7f9a7c1aa000-7f9a7c1ab000 r--p 0000d000 fd:01 162606                     /usr/lib64/liblber-2.4.so.2.8.3
7f9a7c1ab000-7f9a7c1ac000 rw-p 0000e000 fd:01 162606                     /usr/lib64/liblber-2.4.so.2.8.3
7f9a7c1ac000-7f9a7c1de000 r-xp 00000000 fd:01 166612                     /usr/lib64/libidn.so.11.6.7
7f9a7c1de000-7f9a7c3dd000 ---p 00032000 fd:01 166612                     /usr/lib64/libidn.so.11.6.7
7f9a7c3dd000-7f9a7c3de000 r--p 00031000 fd:01 166612                     /usr/lib64/libidn.so.11.6.7
7f9a7c3de000-7f9a7c3df000 rw-p 00032000 fd:01 166612                     /usr/lib64/libidn.so.11.6.7
7f9a7c3df000-7f9a7c3f4000 r-xp 00000000 fd:01 160159                     /usr/lib64/libgcc_s-4.7.1-20120629.so.1
7f9a7c3f4000-7f9a7c5f3000 ---p 00015000 fd:01 160159                     /usr/lib64/libgcc_s-4.7.1-20120629.so.1
7f9a7c5f3000-7f9a7c5f4000 r--p 00014000 fd:01 160159                     /usr/lib64/libgcc_s-4.7.1-20120629.so.1
7f9a7c5f4000-7f9a7c5f5000 rw-p 00015000 fd:01 160159                     /usr/lib64/libgcc_s-4.7.1-20120629.so.1
7f9a7c5f5000-7f9a7c6da000 r-xp 00000000 fd:01 160982                     /usr/lib64/libstdc++.so.6.0.17
7f9a7c6da000-7f9a7c8d9000 ---p 000e5000 fd:01 160982                     /usr/lib64/libstdc++.so.6.0.17
7f9a7c8d9000-7f9a7c8e1000 r--p 000e4000 fd:01 160982                     /usr/lib64/libstdc++.so.6.0.17
7f9a7c8e1000-7f9a7c8e3000 rw-p 000ec000 fd:01 160982                     /usr/lib64/libstdc++.so.6.0.17
7f9a7c8e3000-7f9a7c8f8000 rw-p 00000000 00:00 0 
7f9a7c8f8000-7f9a7cdd0000 r-xp 00000000 fd:01 171388                     /usr/lib64/libcryptopp.so.6.0.0
7f9a7cdd0000-7f9a7cfd0000 ---p 004d8000 fd:01 171388                     /usr/lib64/libcryptopp.so.6.0.0
7f9a7cfd0000-7f9a7d03b000 r--p 004d8000 fd:01 171388                     /usr/lib64/libcryptopp.so.6.0.0
7f9a7d03b000-7f9a7d040000 rw-p 00543000 fd:01 171388                     /usr/lib64/libcryptopp.so.6.0.0
7f9a7d040000-7f9a7d044000 rw-p 00000000 00:00 0 
7f9a7d044000-7f9a7d1f9000 r-xp 00000000 fd:01 159250                     /usr/lib64/libc-2.15.90.so
7f9a7d1f9000-7f9a7d3f8000 ---p 001b5000 fd:01 159250                     /usr/lib64/libc-2.15.90.so
7f9a7d3f8000-7f9a7d3fc000 r--p 001b4000 fd:01 159250                     /usr/lib64/libc-2.15.90.so
7f9a7d3fc000-7f9a7d3fe000 rw-p 001b8000 fd:01 159250                     /usr/lib64/libc-2.15.90.so
7f9a7d3fe000-7f9a7d403000 rw-p 00000000 00:00 0 
7f9a7d403000-7f9a7d41a000 r-xp 00000000 fd:01 159262                     /usr/lib64/libz.so.1.2.5
7f9a7d41a000-7f9a7d619000 ---p 00017000 fd:01 159262                     /usr/lib64/libz.so.1.2.5
7f9a7d619000-7f9a7d61a000 rw-p 00016000 fd:01 159262                     /usr/lib64/libz.so.1.2.5
7f9a7d61a000-7f9a7d71a000 r-xp 00000000 fd:01 159251                     /usr/lib64/libm-2.15.90.so
7f9a7d71a000-7f9a7d919000 ---p 00100000 fd:01 159251                     /usr/lib64/libm-2.15.90.so
7f9a7d919000-7f9a7d91a000 r--p 000ff000 fd:01 159251                     /usr/lib64/libm-2.15.90.so
7f9a7d91a000-7f9a7d91b000 rw-p 00100000 fd:01 159251                     /usr/lib64/libm-2.15.90.so
7f9a7d91b000-7f9a7da0b000 r-xp 00000000 fd:01 165585                     /usr/lib64/libspice-server.so.1.0.2
7f9a7da0b000-7f9a7dc0b000 ---p 000f0000 fd:01 165585                     /usr/lib64/libspice-server.so.1.0.2
7f9a7dc0b000-7f9a7dc0c000 r--p 000f0000 fd:01 165585                     /usr/lib64/libspice-server.so.1.0.2
7f9a7dc0c000-7f9a7dc0d000 rw-p 000f1000 fd:01 165585                     /usr/lib64/libspice-server.so.1.0.2
7f9a7dc0d000-7f9a7dc13000 rw-p 00000000 00:00 0 
7f9a7dc13000-7f9a7dc14000 r-xp 00000000 fd:01 170132                     /usr/lib64/libaio.so.1.0.1
7f9a7dc14000-7f9a7de13000 ---p 00001000 fd:01 170132                     /usr/lib64/libaio.so.1.0.1
7f9a7de13000-7f9a7de14000 rw-p 00000000 fd:01 170132                     /usr/lib64/libaio.so.1.0.1
7f9a7de14000-7f9a7df48000 r-xp 00000000 fd:01 159266                     /usr/lib64/libX11.so.6.3.0
7f9a7df48000-7f9a7e148000 ---p 00134000 fd:01 159266                     /usr/lib64/libX11.so.6.3.0
7f9a7e148000-7f9a7e149000 r--p 00134000 fd:01 159266                     /usr/lib64/libX11.so.6.3.0
7f9a7e149000-7f9a7e14e000 rw-p 00135000 fd:01 159266                     /usr/lib64/libX11.so.6.3.0
7f9a7e14e000-7f9a7e1b9000 r-xp 00000000 fd:01 165425                     /usr/lib64/libSDL-1.2.so.0.11.3
7f9a7e1b9000-7f9a7e3b9000 ---p 0006b000 fd:01 165425                     /usr/lib64/libSDL-1.2.so.0.11.3
7f9a7e3b9000-7f9a7e3ba000 r--p 0006b000 fd:01 165425                     /usr/lib64/libSDL-1.2.so.0.11.3
7f9a7e3ba000-7f9a7e3bb000 rw-p 0006c000 fd:01 165425                     /usr/lib64/libSDL-1.2.so.0.11.3
7f9a7e3bb000-7f9a7e3eb000 rw-p 00000000 00:00 0 
7f9a7e3eb000-7f9a7e49c000 r-xp 00000000 fd:01 165865                     /usr/lib64/libgnutls.so.26.22.0
7f9a7e49c000-7f9a7e69b000 ---p 000b1000 fd:01 165865                     /usr/lib64/libgnutls.so.26.22.0
7f9a7e69b000-7f9a7e6a2000 rw-p 000b0000 fd:01 165865                     /usr/lib64/libgnutls.so.26.22.0
7f9a7e6a2000-7f9a7e6a3000 rw-p 00000000 00:00 0 
7f9a7e6a3000-7f9a7e6bc000 r-xp 00000000 fd:01 162511                     /usr/lib64/libsasl2.so.2.0.23
7f9a7e6bc000-7f9a7e8bc000 ---p 00019000 fd:01 162511                     /usr/lib64/libsasl2.so.2.0.23
7f9a7e8bc000-7f9a7e8bd000 r--p 00019000 fd:01 162511                     /usr/lib64/libsasl2.so.2.0.23
7f9a7e8bd000-7f9a7e8be000 rw-p 0001a000 fd:01 162511                     /usr/lib64/libsasl2.so.2.0.23
7f9a7e8be000-7f9a7e8fc000 r-xp 00000000 fd:01 169746                     /usr/lib64/libjpeg.so.62.0.0
7f9a7e8fc000-7f9a7eafb000 ---p 0003e000 fd:01 169746                     /usr/lib64/libjpeg.so.62.0.0
7f9a7eafb000-7f9a7eafc000 r--p 0003d000 fd:01 169746                     /usr/lib64/libjpeg.so.62.0.0
7f9a7eafc000-7f9a7eafd000 rw-p 0003e000 fd:01 169746                     /usr/lib64/libjpeg.so.62.0.0
7f9a7eafd000-7f9a7eb0d000 rw-p 00000000 00:00 0 
7f9a7eb0d000-7f9a7eb36000 r-xp 00000000 fd:01 159263                     /usr/lib64/libpng15.so.15.10.0
7f9a7eb36000-7f9a7ed35000 ---p 00029000 fd:01 159263                     /usr/lib64/libpng15.so.15.10.0
7f9a7ed35000-7f9a7ed36000 r--p 00028000 fd:01 159263                     /usr/lib64/libpng15.so.15.10.0
7f9a7ed36000-7f9a7ed37000 rw-p 00029000 fd:01 159263                     /usr/lib64/libpng15.so.15.10.0
7f9a7ed37000-7f9a7ed3b000 r-xp 00000000 fd:01 163032                     /usr/lib64/libuuid.so.1.3.0
7f9a7ed3b000-7f9a7ef3a000 ---p 00004000 fd:01 163032                     /usr/lib64/libuuid.so.1.3.0
7f9a7ef3a000-7f9a7ef3b000 r--p 00003000 fd:01 163032                     /usr/lib64/libuuid.so.1.3.0
7f9a7ef3b000-7f9a7ef3c000 rw-p 00004000 fd:01 163032                     /usr/lib64/libuuid.so.1.3.0
7f9a7ef3c000-7f9a7ef83000 r-xp 00000000 fd:01 175519                     /usr/lib64/libpulse.so.0.13.5
7f9a7ef83000-7f9a7f182000 ---p 00047000 fd:01 175519                     /usr/lib64/libpulse.so.0.13.5
7f9a7f182000-7f9a7f183000 r--p 00046000 fd:01 175519                     /usr/lib64/libpulse.so.0.13.5
7f9a7f183000-7f9a7f184000 rw-p 00047000 fd:01 175519                     /usr/lib64/libpulse.so.0.13.5
7f9a7f184000-7f9a7f25c000 r-xp 00000000 fd:01 145168                     /usr/lib64/libasound.so.2.0.0
7f9a7f25c000-7f9a7f45b000 ---p 000d8000 fd:01 145168                     /usr/lib64/libasound.so.2.0.0
7f9a7f45b000-7f9a7f461000 r--p 000d7000 fd:01 145168                     /usr/lib64/libasound.so.2.0.0
7f9a7f461000-7f9a7f463000 rw-p 000dd000 fd:01 145168                     /usr/lib64/libasound.so.2.0.0
7f9a7f463000-7f9a7f46c000 r-xp 00000000 fd:01 170556                     /usr/lib64/libbrlapi.so.0.5.6
7f9a7f46c000-7f9a7f66c000 ---p 00009000 fd:01 170556                     /usr/lib64/libbrlapi.so.0.5.6
7f9a7f66c000-7f9a7f66e000 rw-p 00009000 fd:01 170556                     /usr/lib64/libbrlapi.so.0.5.6
7f9a7f66e000-7f9a7f693000 r-xp 00000000 fd:01 161740                     /usr/lib64/libtinfo.so.5.9
7f9a7f693000-7f9a7f892000 ---p 00025000 fd:01 161740                     /usr/lib64/libtinfo.so.5.9
7f9a7f892000-7f9a7f896000 r--p 00024000 fd:01 161740                     /usr/lib64/libtinfo.so.5.9
7f9a7f896000-7f9a7f897000 rw-p 00028000 fd:01 161740                     /usr/lib64/libtinfo.so.5.9
7f9a7f897000-7f9a7f8ba000 r-xp 00000000 fd:01 161746                     /usr/lib64/libncurses.so.5.9
7f9a7f8ba000-7f9a7fab9000 ---p 00023000 fd:01 161746                     /usr/lib64/libncurses.so.5.9
7f9a7fab9000-7f9a7faba000 r--p 00022000 fd:01 161746                     /usr/lib64/libncurses.so.5.9
7f9a7faba000-7f9a7fabb000 rw-p 00023000 fd:01 161746                     /usr/lib64/libncurses.so.5.9
7f9a7fabb000-7f9a7fb19000 r-xp 00000000 fd:01 166639                     /usr/lib64/libcurl.so.4.2.0
7f9a7fb19000-7f9a7fd18000 ---p 0005e000 fd:01 166639                     /usr/lib64/libcurl.so.4.2.0
7f9a7fd18000-7f9a7fd1a000 r--p 0005d000 fd:01 166639                     /usr/lib64/libcurl.so.4.2.0
7f9a7fd1a000-7f9a7fd1b000 rw-p 0005f000 fd:01 166639                     /usr/lib64/libcurl.so.4.2.0
7f9a7fd1b000-7f9a7fd34000 r-xp 00000000 fd:01 175542                     /usr/lib64/libbluetooth.so.3.12.0
7f9a7fd34000-7f9a7ff34000 ---p 00019000 fd:01 175542                     /usr/lib64/libbluetooth.so.3.12.0
7f9a7ff34000-7f9a7ff35000 r--p 00019000 fd:01 175542                     /usr/lib64/libbluetooth.so.3.12.0
7f9a7ff35000-7f9a7ff38000 rw-p 0001a000 fd:01 175542                     /usr/lib64/libbluetooth.so.3.12.0
7f9a7ff38000-7f9a802de000 r-xp 00000000 fd:01 157191                     /usr/lib64/librados.so.2.0.0
7f9a802de000-7f9a804de000 ---p 003a6000 fd:01 157191                     /usr/lib64/librados.so.2.0.0
7f9a804de000-7f9a804f5000 rw-p 003a6000 fd:01 157191                     /usr/lib64/librados.so.2.0.0
7f9a804f5000-7f9a80509000 rw-p 00000000 00:00 0 
7f9a80509000-7f9a80526000 r-xp 00000000 fd:01 163295                     /usr/lib64/librbd.so.1.0.0
7f9a80526000-7f9a80726000 ---p 0001d000 fd:01 163295                     /usr/lib64/librbd.so.1.0.0
7f9a80726000-7f9a80727000 rw-p 0001d000 fd:01 163295                     /usr/lib64/librbd.so.1.0.0
7f9a80727000-7f9a80729000 r-xp 00000000 fd:01 167813                     /usr/lib64/libutil-2.15.90.so
7f9a80729000-7f9a80928000 ---p 00002000 fd:01 167813                     /usr/lib64/libutil-2.15.90.so
7f9a80928000-7f9a80929000 r--p 00001000 fd:01 167813                     /usr/lib64/libutil-2.15.90.so
7f9a80929000-7f9a8092a000 rw-p 00002000 fd:01 167813                     /usr/lib64/libutil-2.15.90.so
7f9a8092a000-7f9a8092f000 r-xp 00000000 fd:01 140212                     /usr/lib64/libusbredirparser.so.0.0.0
7f9a8092f000-7f9a80b2e000 ---p 00005000 fd:01 140212                     /usr/lib64/libusbredirparser.so.0.0.0
7f9a80b2e000-7f9a80b2f000 r--p 00004000 fd:01 140212                     /usr/lib64/libusbredirparser.so.0.0.0
7f9a80b2f000-7f9a80b30000 rw-p 00005000 fd:01 140212                     /usr/lib64/libusbredirparser.so.0.0.0
7f9a80b30000-7f9a80c4d000 r-xp 00000000 fd:01 159255                     /usr/lib64/libglib-2.0.so.0.3303.0
7f9a80c4d000-7f9a80e4d000 ---p 0011d000 fd:01 159255                     /usr/lib64/libglib-2.0.so.0.3303.0
7f9a80e4d000-7f9a80e4e000 r--p 0011d000 fd:01 159255                     /usr/lib64/libglib-2.0.so.0.3303.0
7f9a80e4e000-7f9a80e4f000 rw-p 0011e000 fd:01 159255                     /usr/lib64/libglib-2.0.so.0.3303.0
7f9a80e4f000-7f9a80e50000 rw-p 00000000 00:00 0 
7f9a80e50000-7f9a80e51000 r-xp 00000000 fd:01 159269                     /usr/lib64/libgthread-2.0.so.0.3303.0
7f9a80e51000-7f9a81050000 ---p 00001000 fd:01 159269                     /usr/lib64/libgthread-2.0.so.0.3303.0
7f9a81050000-7f9a81051000 r--p 00000000 fd:01 159269                     /usr/lib64/libgthread-2.0.so.0.3303.0
7f9a81051000-7f9a81052000 rw-p 00001000 fd:01 159269                     /usr/lib64/libgthread-2.0.so.0.3303.0
7f9a81052000-7f9a81059000 r-xp 00000000 fd:01 159254                     /usr/lib64/librt-2.15.90.so
7f9a81059000-7f9a81258000 ---p 00007000 fd:01 159254                     /usr/lib64/librt-2.15.90.so
7f9a81258000-7f9a81259000 r--p 00006000 fd:01 159254                     /usr/lib64/librt-2.15.90.so
7f9a81259000-7f9a8125a000 rw-p 00007000 fd:01 159254                     /usr/lib64/librt-2.15.90.so
7f9a8125a000-7f9a8125d000 r-xp 00000000 fd:01 138879                     /usr/lib64/libdl-2.15.90.so
7f9a8125d000-7f9a8145c000 ---p 00003000 fd:01 138879                     /usr/lib64/libdl-2.15.90.so
7f9a8145c000-7f9a8145d000 r--p 00002000 fd:01 138879                     /usr/lib64/libdl-2.15.90.so
7f9a8145d000-7f9a8145e000 rw-p 00003000 fd:01 138879                     /usr/lib64/libdl-2.15.90.so
7f9a8145e000-7f9a81475000 r-xp 00000000 fd:01 159253                     /usr/lib64/libpthread-2.15.90.so
7f9a81475000-7f9a81674000 ---p 00017000 fd:01 159253                     /usr/lib64/libpthread-2.15.90.so
7f9a81674000-7f9a81675000 r--p 00016000 fd:01 159253                     /usr/lib64/libpthread-2.15.90.so
7f9a81675000-7f9a81676000 rw-p 00017000 fd:01 159253                     /usr/lib64/libpthread-2.15.90.so
7f9a81676000-7f9a8167a000 rw-p 00000000 00:00 0 
7f9a8167a000-7f9a816b3000 r-xp 00000000 fd:01 162538                     /usr/lib64/libnspr4.so
7f9a816b3000-7f9a818b2000 ---p 00039000 fd:01 162538                     /usr/lib64/libnspr4.so
7f9a818b2000-7f9a818b3000 r--p 00038000 fd:01 162538                     /usr/lib64/libnspr4.so
7f9a818b3000-7f9a818b5000 rw-p 00039000 fd:01 162538                     /usr/lib64/libnspr4.so
7f9a818b5000-7f9a818b7000 rw-p 00000000 00:00 0 
7f9a818b7000-7f9a818bb000 r-xp 00000000 fd:01 162546                     /usr/lib64/libplc4.so
7f9a818bb000-7f9a81aba000 ---p 00004000 fd:01 162546                     /usr/lib64/libplc4.so
7f9a81aba000-7f9a81abb000 r--p 00003000 fd:01 162546                     /usr/lib64/libplc4.so
7f9a81abb000-7f9a81abc000 rw-p 00004000 fd:01 162546                     /usr/lib64/libplc4.so
7f9a81abc000-7f9a81abf000 r-xp 00000000 fd:01 162549                     /usr/lib64/libplds4.so
7f9a81abf000-7f9a81cbe000 ---p 00003000 fd:01 162549                     /usr/lib64/libplds4.so
7f9a81cbe000-7f9a81cbf000 r--p 00002000 fd:01 162549                     /usr/lib64/libplds4.so
7f9a81cbf000-7f9a81cc0000 rw-p 00003000 fd:01 162549                     /usr/lib64/libplds4.so
7f9a81cc0000-7f9a81ce0000 r-xp 00000000 fd:01 162551                     /usr/lib64/libnssutil3.so
7f9a81ce0000-7f9a81edf000 ---p 00020000 fd:01 162551                     /usr/lib64/libnssutil3.so
7f9a81edf000-7f9a81ee5000 r--p 0001f000 fd:01 162551                     /usr/lib64/libnssutil3.so
7f9a81ee5000-7f9a81ee6000 rw-p 00025000 fd:01 162551                     /usr/lib64/libnssutil3.so
7f9a81ee6000-7f9a82017000 r-xp 00000000 fd:01 162586                     /usr/lib64/libnss3.so
7f9a82017000-7f9a82217000 ---p 00131000 fd:01 162586                     /usr/lib64/libnss3.so
7f9a82217000-7f9a8221c000 r--p 00131000 fd:01 162586                     /usr/lib64/libnss3.so
7f9a8221c000-7f9a8221e000 rw-p 00136000 fd:01 162586                     /usr/lib64/libnss3.so
7f9a8221e000-7f9a82220000 rw-p 00000000 00:00 0 
7f9a82220000-7f9a82248000 r-xp 00000000 fd:01 162605                     /usr/lib64/libsmime3.so
7f9a82248000-7f9a82448000 ---p 00028000 fd:01 162605                     /usr/lib64/libsmime3.so
7f9a82448000-7f9a8244b000 r--p 00028000 fd:01 162605                     /usr/lib64/libsmime3.so
7f9a8244b000-7f9a8244c000 rw-p 0002b000 fd:01 162605                     /usr/lib64/libsmime3.so
7f9a8244c000-7f9a82484000 r-xp 00000000 fd:01 162587                     /usr/lib64/libssl3.so
7f9a82484000-7f9a82684000 ---p 00038000 fd:01 162587                     /usr/lib64/libssl3.so
7f9a82684000-7f9a82686000 r--p 00038000 fd:01 162587                     /usr/lib64/libssl3.so
7f9a82686000-7f9a82687000 rw-p 0003a000 fd:01 162587                     /usr/lib64/libssl3.so
7f9a82687000-7f9a82688000 rw-p 00000000 00:00 0 
7f9a82688000-7f9a826ab000 r-xp 00000000 fd:01 159249                     /usr/lib64/ld-2.15.90.so
7f9a82745000-7f9a82893000 rw-p 00000000 00:00 0 
7f9a828a0000-7f9a828a1000 rw-p 00000000 00:00 0 
7f9a828a1000-7f9a828a4000 rw-s 00000000 00:09 5512                       anon_inode:kvm-vcpu
7f9a828a4000-7f9a828a5000 rw-s 00000000 00:04 25833247                   /dev/zero (deleted)
7f9a828a5000-7f9a828a6000 rw-s 00000000 00:04 25842785                   /dev/zero (deleted)
7f9a828a6000-7f9a828a9000 rw-s 00000000 00:04 25841260                   /dev/zero (deleted)
7f9a828a9000-7f9a828aa000 rw-p 00000000 00:00 0 
7f9a828aa000-7f9a828ab000 r--p 00022000 fd:01 159249                     /usr/lib64/ld-2.15.90.so
7f9a828ab000-7f9a828ac000 rw-p 00023000 fd:01 159249                     /usr/lib64/ld-2.15.90.so
7f9a828ac000-7f9a828ad000 rw-p 00000000 00:00 0 
7f9a828ad000-7f9a82bf9000 r-xp 00000000 fd:01 166240                     /usr/bin/qemu-kvm
7f9a82df8000-7f9a82ec6000 r--p 0034b000 fd:01 166240                     /usr/bin/qemu-kvm
7f9a82ec6000-7f9a82ef8000 rw-p 00419000 fd:01 166240                     /usr/bin/qemu-kvm
7f9a82ef8000-7f9a83707000 rw-p 00000000 00:00 0 
7f9a852d9000-7f9a859d8000 rw-p 00000000 00:00 0                          [heap]
7f9a859d8000-7f9a859f8000 rw-p 00000000 00:00 0                          [heap]
7f9a859f8000-7f9a85a38000 rw-p 00000000 00:00 0                          [heap]
7f9a85a38000-7f9a85a58000 rw-p 00000000 00:00 0                          [heap]
7f9a85a58000-7f9a85d63000 rw-p 00000000 00:00 0                          [heap]
7ffff02d8000-7ffff02f9000 rw-p 00000000 00:00 0                          [stack]
7ffff03ff000-7ffff0400000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

Version-Release number of selected component (if applicable):

qemu-system-x86-1.0-17.fc18.x86_64

How reproducible:

Rare.

Steps to Reproduce:
1. Unknown.
Comment 1 Richard W.M. Jones 2012-07-02 04:03:38 EDT
Happened again with a slightly different stack trace:

*** glibc detected *** /bin/qemu-kvm: corrupted double-linked list: 0x00007fb6ac933c00 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x30e127d6ad)[0x7fb6a4ddb6ad]
/lib64/libc.so.6(+0x30e127e078)[0x7fb6a4ddc078]
/bin/qemu-kvm(+0x98a95)[0x7fb6aa65fa95]
/bin/qemu-kvm(+0x9e2ba)[0x7fb6aa6652ba]
/bin/qemu-kvm(+0x8d568)[0x7fb6aa654568]
/bin/qemu-kvm(+0x8d630)[0x7fb6aa654630]
/bin/qemu-kvm(main+0x1429)[0x7fb6aa63c9b9]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7fb6a4d7fba5]
/bin/qemu-kvm(+0x79299)[0x7fb6aa640299]
======= Memory map: ========
Comment 2 Avi Kivity 2012-07-02 09:22:30 EDT
Please decode those addresses using addr2line or gdb.
Comment 3 Richard W.M. Jones 2012-07-02 10:22:25 EDT
I was trying all morning to capture a core file, and now
I finally reproduced the bug and got one:

Program terminated with signal 6, Aborted.
#0  0x00007fe8cd51bc85 in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:63
63	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) bt
#0  0x00007fe8cd51bc85 in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:63
#1  0x00007fe8cd51d438 in __GI_abort () at abort.c:90
#2  0x00007fe8cd55b92b in __libc_message (do_abort=2, fmt=fmt@entry=
    0x7fe8cd662fd0 "*** glibc detected *** %s: %s: 0x%s ***\n")
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:197
#3  0x00007fe8cd5626ad in malloc_printerr (ptr=0x7fe8d5b04a80, str=
    0x7fe8cd65fee7 "corrupted double-linked list", action=<optimized out>)
    at malloc.c:4969
#4  malloc_consolidate (av=av@entry=0x7fe8cd89d720) at malloc.c:4143
#5  0x00007fe8cd563078 in _int_free (av=0x7fe8cd89d720, p=0x7fe8d53d09f0, 
    have_lock=0) at malloc.c:4043
#6  0x00007fe8d2de6a95 in qcow2_cache_destroy (bs=bs@entry=0x7fe8d53cea90, c=
    0x7fe8d53d0790) at block/qcow2-cache.c:70
#7  0x00007fe8d2dec2ba in qcow2_close (bs=0x7fe8d53cea90) at block/qcow2.c:628
#8  0x00007fe8d2ddb568 in bdrv_close (bs=0x7fe8d53cea90) at block.c:709
#9  0x00007fe8d2ddb630 in bdrv_close_all () at block.c:732
#10 0x00007fe8d2dc39b9 in main (argc=<optimized out>, argv=<optimized out>, 
    envp=<optimized out>) at /usr/src/debug/qemu-kvm-1.0/vl.c:3529
Comment 4 Richard W.M. Jones 2012-07-02 10:23:05 EDT
(gdb) info threads
  Id   Target Id         Frame 
  15   Thread 0x7fe8c525c700 (LWP 11782) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  14   Thread 0x7fe8951f7700 (LWP 11791) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  13   Thread 0x7fe8981fd700 (LWP 11785) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  12   Thread 0x7fe8979fc700 (LWP 11786) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  11   Thread 0x7fe8949f6700 (LWP 11792) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  10   Thread 0x7fe8971fb700 (LWP 11787) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  9    Thread 0x7fe8c6942700 (LWP 11780) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  8    Thread 0x7fe8c4a5b700 (LWP 11783) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  7    Thread 0x7fe8969fa700 (LWP 11788) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  6    Thread 0x7fe8961f9700 (LWP 11789) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  5    Thread 0x7fe88ffff700 (LWP 11793) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  4    Thread 0x7fe8989fe700 (LWP 11784) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  3    Thread 0x7fe8959f8700 (LWP 11790) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  2    Thread 0x7fe8c5f40700 (LWP 11781) 0x00007fe8cd5d2aa7 in ioctl ()
    at ../sysdeps/unix/syscall-template.S:81
* 1    Thread 0x7fe8d2d0fa00 (LWP 11777) 0x00007fe8cd51bc85 in __GI_raise (
    sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:63
Comment 5 Richard W.M. Jones 2012-07-02 10:24:28 EDT
Interestingly, another core dump file shows a slightly
different stack trace, although it's all in the same
area of the code ...

Program terminated with signal 6, Aborted.
#0  0x00007fb95005dc85 in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:63
63	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) bt
#0  0x00007fb95005dc85 in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:63
#1  0x00007fb95005f438 in __GI_abort () at abort.c:90
#2  0x00007fb950056a52 in __assert_fail_base (fmt=
    0x7fb9501a4468 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", 
    assertion=assertion@entry=0x7fb955b373af "c->entries[i].ref == 0", 
    file=file@entry=0x7fb955b3739b "block/qcow2-cache.c", line=line@entry=69, 
    function=function@entry=0x7fb955b373e0 "qcow2_cache_destroy")
    at assert.c:92
#3  0x00007fb950056b02 in __GI___assert_fail (assertion=assertion@entry=
    0x7fb955b373af "c->entries[i].ref == 0", file=file@entry=
    0x7fb955b3739b "block/qcow2-cache.c", line=line@entry=69, 
    function=function@entry=0x7fb955b373e0 "qcow2_cache_destroy")
    at assert.c:101
#4  0x00007fb955928ae7 in qcow2_cache_destroy (bs=bs@entry=0x7fb957cf7a90, c=
    0x7fb957cf9790) at block/qcow2-cache.c:69
#5  0x00007fb95592e2ba in qcow2_close (bs=0x7fb957cf7a90) at block/qcow2.c:628
#6  0x00007fb95591d568 in bdrv_close (bs=0x7fb957cf7a90) at block.c:709
#7  0x00007fb95591d630 in bdrv_close_all () at block.c:732
#8  0x00007fb9559059b9 in main (argc=<optimized out>, argv=<optimized out>, 
    envp=<optimized out>) at /usr/src/debug/qemu-kvm-1.0/vl.c:3529
(gdb) info threads
  Id   Target Id         Frame 
  18   Thread 0x7fb941317700 (LWP 5751) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  17   Thread 0x7fb942319700 (LWP 5749) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  16   Thread 0x7fb942b1a700 (LWP 5748) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  15   Thread 0x7fb94331b700 (LWP 5747) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  14   Thread 0x7fb91a1f9700 (LWP 5758) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  13   Thread 0x7fb9191f7700 (LWP 5760) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  12   Thread 0x7fb9199f8700 (LWP 5759) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  11   Thread 0x7fb91b9fc700 (LWP 5755) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  10   Thread 0x7fb91c1fd700 (LWP 5754) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  9    Thread 0x7fb940b16700 (LWP 5752) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  8    Thread 0x7fb949484700 (LWP 5744) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  7    Thread 0x7fb91b1fb700 (LWP 5756) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  6    Thread 0x7fb91a9fa700 (LWP 5757) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  5    Thread 0x7fb943b1c700 (LWP 5746) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  4    Thread 0x7fb948a82700 (LWP 5745) 0x00007fb950114aa7 in ioctl ()
    at ../sysdeps/unix/syscall-template.S:81
  3    Thread 0x7fb941b18700 (LWP 5750) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  2    Thread 0x7fb91c9fe700 (LWP 5753) pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
* 1    Thread 0x7fb955851a00 (LWP 5741) 0x00007fb95005dc85 in __GI_raise (
    sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:63
Comment 6 Richard W.M. Jones 2012-07-02 11:04:01 EDT
The assertion in comment 5 is in this code:

  int qcow2_cache_destroy(BlockDriverState* bs, Qcow2Cache *c)
  {
    int i;

    for (i = 0; i < c->size; i++) {
        assert(c->entries[i].ref == 0);
        qemu_vfree(c->entries[i].table);
    }

    g_free(c->entries);
    g_free(c);

    return 0;
}

I don't have a value for 'i' but two of the 'entries'
have non-zero 'ref':

(gdb) print *c
$3 = {
  entries = 0x7f22fd8c07b0, 
  depends = 0x0, 
  size = 16, 
  depends_on_flush = false, 
  writethrough = false
}
(gdb) print c->entries[0]
$4 = {
  table = 0x7f22fd8c0a00, 
  offset = 262144, 
  dirty = false, 
  cache_hits = 2964, 
  ref = 1
}
[...]
(gdb) print c->entries[2]
$6 = {
  table = 0x7f22fd8e0e00, 
  offset = 351469568, 
  dirty = false, 
  cache_hits = 33, 
  ref = 1
}

The vcpu is still running, so it's unclear why qemu things its
safe to start destroying the qcow2 cache.
Comment 7 Richard W.M. Jones 2012-07-02 11:33:42 EDT
I don't know if this is definitively the problem, but
these two lines in vl.c look the wrong way round to me:

    main_loop();
    bdrv_close_all();  <<
    pause_all_vcpus(); <<
    net_cleanup();
    res_free();
Comment 8 Richard W.M. Jones 2012-07-03 05:16:30 EDT
Possible duplicates:
bug 798499
bug 798857
bug 805893

I am now able to reproduce this bug almost at will:

$ cd /tmp
$ ulimit -Hc unlimited
$ ulimit -Sc unlimited
$ rm -f test.img
$ qemu-img create -f qcow2 test.img 100M
$ guestfish -a test.img run : part-disk /dev/sda gpt : copy-device-to-device /dev/zero /dev/sda1 size:98M
$ ls
core.23671  test.img

The core file isn't produced every time, but it's produced
pretty often, maybe 1 in 3 runs.  Simply repeat the qemu-img +
guestfish commands until it happens.

To get full debug information about what libguestfs is doing
add the -v and/or -x options to guestfish.  But basically it
appears to happen when we send SIGTERM to qemu.
Comment 9 Richard W.M. Jones 2012-07-03 14:05:16 EDT
Workaround posted for virt-resize:
https://www.redhat.com/archives/libguestfs/2012-July/msg00015.html
Comment 10 Richard W.M. Jones 2012-07-04 11:04:03 EDT
The underlying issue is fixed in qemu-kvm >= 1.1.0
which is being rolled out to Fedora Rawhide today.

The workaround mentioned in comment 9 is not required,
and will not go upstream.  The solution is to update
qemu to >= 1.1.0.
Comment 11 Richard W.M. Jones 2012-07-10 08:32:53 EDT
*** Bug 837021 has been marked as a duplicate of this bug. ***
Comment 12 Cole Robinson 2012-07-10 09:52:26 EDT
Reopening and moving this bug to F17. If this is a possible data loss issue, we should try and isolate something to backport (rebasing to 1.1 should be a last resort option IMO)
Comment 13 Cole Robinson 2013-04-01 18:16:26 EDT
This should be the fix:

commit 7094f12f868fc1b75b105bcc676e15964dab77af
Author: Kevin Wolf <kwolf@redhat.com>
Date:   Wed Apr 11 11:06:37 2012 +0200

    block: Drain requests in bdrv_close
Comment 14 Cole Robinson 2013-04-02 09:56:56 EDT
Hmm, that wasn't trivial to backport, particularly because some of the plumbing needed for bdrv_drain_all also needs to be backported, and anything non-trivial in this area scares me. Since F17 isn't long for this world, and we haven't seen reports from endusers, just closing this wontfix.

Note You need to log in before you can comment on or make changes to this bug.